<?php
/**
 * Template for Off canvas Menu
 * @since The Blogging 1.0.0
 */
if (1 != the_blogging_get_option('show_category_bar_section')) {
    return null;
}
$the_blogging_category_number = absint (the_blogging_get_option('number_of_top_category'));
?>

<div class="header-categories hidden-xs">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="categories-wrapper">
                    <ul class="categories-list">
                        <li>
                            <span class="categories-list-label">
                                <?php echo esc_html(the_blogging_get_option('title_text_category_bar_section'));?>
                            </span>
                        </li>
                            <?php 
                            $the_blogging_category_list_array = array();
                            $i = 1;
                            while( $i <= $the_blogging_category_number ){
                                $the_blogging_category_list = the_blogging_get_option( 'select_category_' . $i );
                                    if ( ! empty( $the_blogging_category_list ) ) {
                                        $category_link = get_category_link( the_blogging_get_option( 'select_category_' . $i ));
                                        $category_name = get_the_category_by_ID( the_blogging_get_option( 'select_category_' . $i ));
                                    }
                                    $i++;
                                     ?>
                                    <li>
                                        <a href="<?php echo esc_url($category_link);?>"><?php echo esc_html($category_name); ?></a>
                                        <ul class="category-submenu">
                                            <?php
                                            $qarg = array(
                                                'posts_per_page' => 6,
                                                'post_type' => 'post',
                                                'category_name' => $category_name,
                                            );
                                            $the_blogging_list_querys = new WP_Query($qarg);
                                            ?>
                                            <div class="categories-story">
                                                <?php
                                                if ($the_blogging_list_querys->have_posts()) :
                                                    while ($the_blogging_list_querys->have_posts()) : $the_blogging_list_querys->the_post();
                                                        if (has_post_thumbnail()) {
                                                            $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium');
                                                            $url = $thumb['0'];
                                                        }
                                                        ?>
                                                    <div class="col-sm-4">
                                                        <article class="list-story">
                                                            <div class="article-container-col">
                                                                <div class="article-image">
                                                                    <div class="bg-image bg-image-2">
                                                                        <img src="<?php echo esc_url($url); ?>">
                                                                    </div>
                                                                </div>
                                                                <div class="article-item-content">
                                                                    <h3 class="entry-title entry-title-small">
                                                                        <a href="<?php the_permalink(); ?>" tabindex="0">
                                                                            <?php the_title(); ?> </a>
                                                                    </h3>
                                                                </div>
                                                            </div>
                                                        </article>
                                                    </div>
                                                    <?php
                                                    endwhile;
                                                    wp_reset_postdata();
                                                endif; ?>
                                            </div>
                                        </ul>
                                    </li>
                        <?php 
                        } 
                        ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>